/* GUESTBOOK STYLES */

body{
    background: var(--background);
}

#guestbooks___guestbook-form-container {
    background-color: rgb(255, 255, 255);
    padding: 1em;
    border-radius: 0.5em;
    color: white;
    width: 100%;
    max-width: 600px;
    margin: 2em auto;
}

#guestbooks___guestbook-form {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.guestbooks___input-container {
    display: flex;
    flex-direction: column;
}

#guestbooks___guestbook-form input[type="text"],
#guestbooks___guestbook-form input[type="url"],
#guestbooks___guestbook-form textarea {
    background-color: var(--secondary);
    color: white;
    font-size: 1em;
    padding: 0.5em;
    outline: none;
}

#guestbooks___guestbook-form input[type="text"]::placeholder,
#guestbooks___guestbook-form input[type="url"]::placeholder,
#guestbooks___guestbook-form textarea::placeholder {
    color: #000000;
}

#guestbooks___guestbook-form textarea {
    min-height: 100px;
}

#guestbooks___guestbook-form input[type="submit"] {
    background-color: var(--primary);
    border: none;
    border-radius: 0.25em;
    padding: 0.5em 1em;
    cursor: pointer;
    font-size: 1.1em;
    transition: background-color 0.2s ease-in-out;
}

#guestbooks___guestbook-form input[type="submit"]:hover {
    background-color: white;
    color: black;
}

#guestbooks___guestbook-made-with {
    margin-top: 1em;
    text-align: right;
    font-size: 0.8em;
    color: #aaa;
    font-family: "Tiny5", sans-serif;
}

#guestbooks___guestbook-made-with a {
    color: var(--primary);
    text-decoration: underline;
}

#guestbooks___guestbook-made-with a:hover {
    color: rgb(210, 210, 210);
}

#guestbooks___error-message {
    color: red;
    font-size: 0.9em;
}

#guestbooks___guestbook-messages-header {
    font-size: 2em;
    color: var(--primary);
    text-align: center;
    margin: 2em 0 0.5em 0;
}

#guestbooks___guestbook-messages-container {
    background-color: rgb(255, 255, 255);
    padding: 1em;
    max-width: 600px;
    margin: 0 auto 3em auto;
    color: var(--primary);
    overflow-y: auto;
}
